class Module(Module):
  __parameters__ = ["conv1|weight", "bn1|weight", "bn1|bias", "bn1|running_mean", "bn1|running_var", "bn1|num_batches_tracked", "layer1|0|conv1|weight", "layer1|0|bn1|weight", "layer1|0|bn1|bias", "layer1|0|bn1|running_mean", "layer1|0|bn1|running_var", "layer1|0|bn1|num_batches_tracked", "layer1|0|conv2|weight", "layer1|0|bn2|weight", "layer1|0|bn2|bias", "layer1|0|bn2|running_mean", "layer1|0|bn2|running_var", "layer1|0|bn2|num_batches_tracked", "layer1|1|conv1|weight", "layer1|1|bn1|weight", "layer1|1|bn1|bias", "layer1|1|bn1|running_mean", "layer1|1|bn1|running_var", "layer1|1|bn1|num_batches_tracked", "layer1|1|conv2|weight", "layer1|1|bn2|weight", "layer1|1|bn2|bias", "layer1|1|bn2|running_mean", "layer1|1|bn2|running_var", "layer1|1|bn2|num_batches_tracked", "layer1|2|conv1|weight", "layer1|2|bn1|weight", "layer1|2|bn1|bias", "layer1|2|bn1|running_mean", "layer1|2|bn1|running_var", "layer1|2|bn1|num_batches_tracked", "layer1|2|conv2|weight", "layer1|2|bn2|weight", "layer1|2|bn2|bias", "layer1|2|bn2|running_mean", "layer1|2|bn2|running_var", "layer1|2|bn2|num_batches_tracked", "layer2|0|conv1|weight", "layer2|0|bn1|weight", "layer2|0|bn1|bias", "layer2|0|bn1|running_mean", "layer2|0|bn1|running_var", "layer2|0|bn1|num_batches_tracked", "layer2|0|conv2|weight", "layer2|0|bn2|weight", "layer2|0|bn2|bias", "layer2|0|bn2|running_mean", "layer2|0|bn2|running_var", "layer2|0|bn2|num_batches_tracked", "layer2|0|downsample|0|weight", "layer2|0|downsample|1|weight", "layer2|0|downsample|1|bias", "layer2|0|downsample|1|running_mean", "layer2|0|downsample|1|running_var", "layer2|0|downsample|1|num_batches_tracked", "layer2|1|conv1|weight", "layer2|1|bn1|weight", "layer2|1|bn1|bias", "layer2|1|bn1|running_mean", "layer2|1|bn1|running_var", "layer2|1|bn1|num_batches_tracked", "layer2|1|conv2|weight", "layer2|1|bn2|weight", "layer2|1|bn2|bias", "layer2|1|bn2|running_mean", "layer2|1|bn2|running_var", "layer2|1|bn2|num_batches_tracked", "layer2|2|conv1|weight", "layer2|2|bn1|weight", "layer2|2|bn1|bias", "layer2|2|bn1|running_mean", "layer2|2|bn1|running_var", "layer2|2|bn1|num_batches_tracked", "layer2|2|conv2|weight", "layer2|2|bn2|weight", "layer2|2|bn2|bias", "layer2|2|bn2|running_mean", "layer2|2|bn2|running_var", "layer2|2|bn2|num_batches_tracked", "layer2|3|conv1|weight", "layer2|3|bn1|weight", "layer2|3|bn1|bias", "layer2|3|bn1|running_mean", "layer2|3|bn1|running_var", "layer2|3|bn1|num_batches_tracked", "layer2|3|conv2|weight", "layer2|3|bn2|weight", "layer2|3|bn2|bias", "layer2|3|bn2|running_mean", "layer2|3|bn2|running_var", "layer2|3|bn2|num_batches_tracked", "layer3|0|conv1|weight", "layer3|0|bn1|weight", "layer3|0|bn1|bias", "layer3|0|bn1|running_mean", "layer3|0|bn1|running_var", "layer3|0|bn1|num_batches_tracked", "layer3|0|conv2|weight", "layer3|0|bn2|weight", "layer3|0|bn2|bias", "layer3|0|bn2|running_mean", "layer3|0|bn2|running_var", "layer3|0|bn2|num_batches_tracked", "layer3|0|downsample|0|weight", "layer3|0|downsample|1|weight", "layer3|0|downsample|1|bias", "layer3|0|downsample|1|running_mean", "layer3|0|downsample|1|running_var", "layer3|0|downsample|1|num_batches_tracked", "layer3|1|conv1|weight", "layer3|1|bn1|weight", "layer3|1|bn1|bias", "layer3|1|bn1|running_mean", "layer3|1|bn1|running_var", "layer3|1|bn1|num_batches_tracked", "layer3|1|conv2|weight", "layer3|1|bn2|weight", "layer3|1|bn2|bias", "layer3|1|bn2|running_mean", "layer3|1|bn2|running_var", "layer3|1|bn2|num_batches_tracked", "layer3|2|conv1|weight", "layer3|2|bn1|weight", "layer3|2|bn1|bias", "layer3|2|bn1|running_mean", "layer3|2|bn1|running_var", "layer3|2|bn1|num_batches_tracked", "layer3|2|conv2|weight", "layer3|2|bn2|weight", "layer3|2|bn2|bias", "layer3|2|bn2|running_mean", "layer3|2|bn2|running_var", "layer3|2|bn2|num_batches_tracked", "layer3|3|conv1|weight", "layer3|3|bn1|weight", "layer3|3|bn1|bias", "layer3|3|bn1|running_mean", "layer3|3|bn1|running_var", "layer3|3|bn1|num_batches_tracked", "layer3|3|conv2|weight", "layer3|3|bn2|weight", "layer3|3|bn2|bias", "layer3|3|bn2|running_mean", "layer3|3|bn2|running_var", "layer3|3|bn2|num_batches_tracked", "layer3|4|conv1|weight", "layer3|4|bn1|weight", "layer3|4|bn1|bias", "layer3|4|bn1|running_mean", "layer3|4|bn1|running_var", "layer3|4|bn1|num_batches_tracked", "layer3|4|conv2|weight", "layer3|4|bn2|weight", "layer3|4|bn2|bias", "layer3|4|bn2|running_mean", "layer3|4|bn2|running_var", "layer3|4|bn2|num_batches_tracked", "layer3|5|conv1|weight", "layer3|5|bn1|weight", "layer3|5|bn1|bias", "layer3|5|bn1|running_mean", "layer3|5|bn1|running_var", "layer3|5|bn1|num_batches_tracked", "layer3|5|conv2|weight", "layer3|5|bn2|weight", "layer3|5|bn2|bias", "layer3|5|bn2|running_mean", "layer3|5|bn2|running_var", "layer3|5|bn2|num_batches_tracked", "layer4|0|conv1|weight", "layer4|0|bn1|weight", "layer4|0|bn1|bias", "layer4|0|bn1|running_mean", "layer4|0|bn1|running_var", "layer4|0|bn1|num_batches_tracked", "layer4|0|conv2|weight", "layer4|0|bn2|weight", "layer4|0|bn2|bias", "layer4|0|bn2|running_mean", "layer4|0|bn2|running_var", "layer4|0|bn2|num_batches_tracked", "layer4|0|downsample|0|weight", "layer4|0|downsample|1|weight", "layer4|0|downsample|1|bias", "layer4|0|downsample|1|running_mean", "layer4|0|downsample|1|running_var", "layer4|0|downsample|1|num_batches_tracked", "layer4|1|conv1|weight", "layer4|1|bn1|weight", "layer4|1|bn1|bias", "layer4|1|bn1|running_mean", "layer4|1|bn1|running_var", "layer4|1|bn1|num_batches_tracked", "layer4|1|conv2|weight", "layer4|1|bn2|weight", "layer4|1|bn2|bias", "layer4|1|bn2|running_mean", "layer4|1|bn2|running_var", "layer4|1|bn2|num_batches_tracked", "layer4|2|conv1|weight", "layer4|2|bn1|weight", "layer4|2|bn1|bias", "layer4|2|bn1|running_mean", "layer4|2|bn1|running_var", "layer4|2|bn1|num_batches_tracked", "layer4|2|conv2|weight", "layer4|2|bn2|weight", "layer4|2|bn2|bias", "layer4|2|bn2|running_mean", "layer4|2|bn2|running_var", "layer4|2|bn2|num_batches_tracked", "fc|weight", "fc|bias", ]
  __buffers__ = []
  __annotations__ = []
  __annotations__["conv1|weight"] = Tensor
  __annotations__["bn1|weight"] = Tensor
  __annotations__["bn1|bias"] = Tensor
  __annotations__["bn1|running_mean"] = Tensor
  __annotations__["bn1|running_var"] = Tensor
  __annotations__["bn1|num_batches_tracked"] = Tensor
  __annotations__["layer1|0|conv1|weight"] = Tensor
  __annotations__["layer1|0|bn1|weight"] = Tensor
  __annotations__["layer1|0|bn1|bias"] = Tensor
  __annotations__["layer1|0|bn1|running_mean"] = Tensor
  __annotations__["layer1|0|bn1|running_var"] = Tensor
  __annotations__["layer1|0|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer1|0|conv2|weight"] = Tensor
  __annotations__["layer1|0|bn2|weight"] = Tensor
  __annotations__["layer1|0|bn2|bias"] = Tensor
  __annotations__["layer1|0|bn2|running_mean"] = Tensor
  __annotations__["layer1|0|bn2|running_var"] = Tensor
  __annotations__["layer1|0|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer1|1|conv1|weight"] = Tensor
  __annotations__["layer1|1|bn1|weight"] = Tensor
  __annotations__["layer1|1|bn1|bias"] = Tensor
  __annotations__["layer1|1|bn1|running_mean"] = Tensor
  __annotations__["layer1|1|bn1|running_var"] = Tensor
  __annotations__["layer1|1|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer1|1|conv2|weight"] = Tensor
  __annotations__["layer1|1|bn2|weight"] = Tensor
  __annotations__["layer1|1|bn2|bias"] = Tensor
  __annotations__["layer1|1|bn2|running_mean"] = Tensor
  __annotations__["layer1|1|bn2|running_var"] = Tensor
  __annotations__["layer1|1|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer1|2|conv1|weight"] = Tensor
  __annotations__["layer1|2|bn1|weight"] = Tensor
  __annotations__["layer1|2|bn1|bias"] = Tensor
  __annotations__["layer1|2|bn1|running_mean"] = Tensor
  __annotations__["layer1|2|bn1|running_var"] = Tensor
  __annotations__["layer1|2|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer1|2|conv2|weight"] = Tensor
  __annotations__["layer1|2|bn2|weight"] = Tensor
  __annotations__["layer1|2|bn2|bias"] = Tensor
  __annotations__["layer1|2|bn2|running_mean"] = Tensor
  __annotations__["layer1|2|bn2|running_var"] = Tensor
  __annotations__["layer1|2|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer2|0|conv1|weight"] = Tensor
  __annotations__["layer2|0|bn1|weight"] = Tensor
  __annotations__["layer2|0|bn1|bias"] = Tensor
  __annotations__["layer2|0|bn1|running_mean"] = Tensor
  __annotations__["layer2|0|bn1|running_var"] = Tensor
  __annotations__["layer2|0|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer2|0|conv2|weight"] = Tensor
  __annotations__["layer2|0|bn2|weight"] = Tensor
  __annotations__["layer2|0|bn2|bias"] = Tensor
  __annotations__["layer2|0|bn2|running_mean"] = Tensor
  __annotations__["layer2|0|bn2|running_var"] = Tensor
  __annotations__["layer2|0|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer2|0|downsample|0|weight"] = Tensor
  __annotations__["layer2|0|downsample|1|weight"] = Tensor
  __annotations__["layer2|0|downsample|1|bias"] = Tensor
  __annotations__["layer2|0|downsample|1|running_mean"] = Tensor
  __annotations__["layer2|0|downsample|1|running_var"] = Tensor
  __annotations__["layer2|0|downsample|1|num_batches_tracked"] = Tensor
  __annotations__["layer2|1|conv1|weight"] = Tensor
  __annotations__["layer2|1|bn1|weight"] = Tensor
  __annotations__["layer2|1|bn1|bias"] = Tensor
  __annotations__["layer2|1|bn1|running_mean"] = Tensor
  __annotations__["layer2|1|bn1|running_var"] = Tensor
  __annotations__["layer2|1|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer2|1|conv2|weight"] = Tensor
  __annotations__["layer2|1|bn2|weight"] = Tensor
  __annotations__["layer2|1|bn2|bias"] = Tensor
  __annotations__["layer2|1|bn2|running_mean"] = Tensor
  __annotations__["layer2|1|bn2|running_var"] = Tensor
  __annotations__["layer2|1|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer2|2|conv1|weight"] = Tensor
  __annotations__["layer2|2|bn1|weight"] = Tensor
  __annotations__["layer2|2|bn1|bias"] = Tensor
  __annotations__["layer2|2|bn1|running_mean"] = Tensor
  __annotations__["layer2|2|bn1|running_var"] = Tensor
  __annotations__["layer2|2|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer2|2|conv2|weight"] = Tensor
  __annotations__["layer2|2|bn2|weight"] = Tensor
  __annotations__["layer2|2|bn2|bias"] = Tensor
  __annotations__["layer2|2|bn2|running_mean"] = Tensor
  __annotations__["layer2|2|bn2|running_var"] = Tensor
  __annotations__["layer2|2|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer2|3|conv1|weight"] = Tensor
  __annotations__["layer2|3|bn1|weight"] = Tensor
  __annotations__["layer2|3|bn1|bias"] = Tensor
  __annotations__["layer2|3|bn1|running_mean"] = Tensor
  __annotations__["layer2|3|bn1|running_var"] = Tensor
  __annotations__["layer2|3|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer2|3|conv2|weight"] = Tensor
  __annotations__["layer2|3|bn2|weight"] = Tensor
  __annotations__["layer2|3|bn2|bias"] = Tensor
  __annotations__["layer2|3|bn2|running_mean"] = Tensor
  __annotations__["layer2|3|bn2|running_var"] = Tensor
  __annotations__["layer2|3|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer3|0|conv1|weight"] = Tensor
  __annotations__["layer3|0|bn1|weight"] = Tensor
  __annotations__["layer3|0|bn1|bias"] = Tensor
  __annotations__["layer3|0|bn1|running_mean"] = Tensor
  __annotations__["layer3|0|bn1|running_var"] = Tensor
  __annotations__["layer3|0|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer3|0|conv2|weight"] = Tensor
  __annotations__["layer3|0|bn2|weight"] = Tensor
  __annotations__["layer3|0|bn2|bias"] = Tensor
  __annotations__["layer3|0|bn2|running_mean"] = Tensor
  __annotations__["layer3|0|bn2|running_var"] = Tensor
  __annotations__["layer3|0|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer3|0|downsample|0|weight"] = Tensor
  __annotations__["layer3|0|downsample|1|weight"] = Tensor
  __annotations__["layer3|0|downsample|1|bias"] = Tensor
  __annotations__["layer3|0|downsample|1|running_mean"] = Tensor
  __annotations__["layer3|0|downsample|1|running_var"] = Tensor
  __annotations__["layer3|0|downsample|1|num_batches_tracked"] = Tensor
  __annotations__["layer3|1|conv1|weight"] = Tensor
  __annotations__["layer3|1|bn1|weight"] = Tensor
  __annotations__["layer3|1|bn1|bias"] = Tensor
  __annotations__["layer3|1|bn1|running_mean"] = Tensor
  __annotations__["layer3|1|bn1|running_var"] = Tensor
  __annotations__["layer3|1|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer3|1|conv2|weight"] = Tensor
  __annotations__["layer3|1|bn2|weight"] = Tensor
  __annotations__["layer3|1|bn2|bias"] = Tensor
  __annotations__["layer3|1|bn2|running_mean"] = Tensor
  __annotations__["layer3|1|bn2|running_var"] = Tensor
  __annotations__["layer3|1|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer3|2|conv1|weight"] = Tensor
  __annotations__["layer3|2|bn1|weight"] = Tensor
  __annotations__["layer3|2|bn1|bias"] = Tensor
  __annotations__["layer3|2|bn1|running_mean"] = Tensor
  __annotations__["layer3|2|bn1|running_var"] = Tensor
  __annotations__["layer3|2|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer3|2|conv2|weight"] = Tensor
  __annotations__["layer3|2|bn2|weight"] = Tensor
  __annotations__["layer3|2|bn2|bias"] = Tensor
  __annotations__["layer3|2|bn2|running_mean"] = Tensor
  __annotations__["layer3|2|bn2|running_var"] = Tensor
  __annotations__["layer3|2|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer3|3|conv1|weight"] = Tensor
  __annotations__["layer3|3|bn1|weight"] = Tensor
  __annotations__["layer3|3|bn1|bias"] = Tensor
  __annotations__["layer3|3|bn1|running_mean"] = Tensor
  __annotations__["layer3|3|bn1|running_var"] = Tensor
  __annotations__["layer3|3|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer3|3|conv2|weight"] = Tensor
  __annotations__["layer3|3|bn2|weight"] = Tensor
  __annotations__["layer3|3|bn2|bias"] = Tensor
  __annotations__["layer3|3|bn2|running_mean"] = Tensor
  __annotations__["layer3|3|bn2|running_var"] = Tensor
  __annotations__["layer3|3|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer3|4|conv1|weight"] = Tensor
  __annotations__["layer3|4|bn1|weight"] = Tensor
  __annotations__["layer3|4|bn1|bias"] = Tensor
  __annotations__["layer3|4|bn1|running_mean"] = Tensor
  __annotations__["layer3|4|bn1|running_var"] = Tensor
  __annotations__["layer3|4|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer3|4|conv2|weight"] = Tensor
  __annotations__["layer3|4|bn2|weight"] = Tensor
  __annotations__["layer3|4|bn2|bias"] = Tensor
  __annotations__["layer3|4|bn2|running_mean"] = Tensor
  __annotations__["layer3|4|bn2|running_var"] = Tensor
  __annotations__["layer3|4|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer3|5|conv1|weight"] = Tensor
  __annotations__["layer3|5|bn1|weight"] = Tensor
  __annotations__["layer3|5|bn1|bias"] = Tensor
  __annotations__["layer3|5|bn1|running_mean"] = Tensor
  __annotations__["layer3|5|bn1|running_var"] = Tensor
  __annotations__["layer3|5|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer3|5|conv2|weight"] = Tensor
  __annotations__["layer3|5|bn2|weight"] = Tensor
  __annotations__["layer3|5|bn2|bias"] = Tensor
  __annotations__["layer3|5|bn2|running_mean"] = Tensor
  __annotations__["layer3|5|bn2|running_var"] = Tensor
  __annotations__["layer3|5|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer4|0|conv1|weight"] = Tensor
  __annotations__["layer4|0|bn1|weight"] = Tensor
  __annotations__["layer4|0|bn1|bias"] = Tensor
  __annotations__["layer4|0|bn1|running_mean"] = Tensor
  __annotations__["layer4|0|bn1|running_var"] = Tensor
  __annotations__["layer4|0|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer4|0|conv2|weight"] = Tensor
  __annotations__["layer4|0|bn2|weight"] = Tensor
  __annotations__["layer4|0|bn2|bias"] = Tensor
  __annotations__["layer4|0|bn2|running_mean"] = Tensor
  __annotations__["layer4|0|bn2|running_var"] = Tensor
  __annotations__["layer4|0|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer4|0|downsample|0|weight"] = Tensor
  __annotations__["layer4|0|downsample|1|weight"] = Tensor
  __annotations__["layer4|0|downsample|1|bias"] = Tensor
  __annotations__["layer4|0|downsample|1|running_mean"] = Tensor
  __annotations__["layer4|0|downsample|1|running_var"] = Tensor
  __annotations__["layer4|0|downsample|1|num_batches_tracked"] = Tensor
  __annotations__["layer4|1|conv1|weight"] = Tensor
  __annotations__["layer4|1|bn1|weight"] = Tensor
  __annotations__["layer4|1|bn1|bias"] = Tensor
  __annotations__["layer4|1|bn1|running_mean"] = Tensor
  __annotations__["layer4|1|bn1|running_var"] = Tensor
  __annotations__["layer4|1|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer4|1|conv2|weight"] = Tensor
  __annotations__["layer4|1|bn2|weight"] = Tensor
  __annotations__["layer4|1|bn2|bias"] = Tensor
  __annotations__["layer4|1|bn2|running_mean"] = Tensor
  __annotations__["layer4|1|bn2|running_var"] = Tensor
  __annotations__["layer4|1|bn2|num_batches_tracked"] = Tensor
  __annotations__["layer4|2|conv1|weight"] = Tensor
  __annotations__["layer4|2|bn1|weight"] = Tensor
  __annotations__["layer4|2|bn1|bias"] = Tensor
  __annotations__["layer4|2|bn1|running_mean"] = Tensor
  __annotations__["layer4|2|bn1|running_var"] = Tensor
  __annotations__["layer4|2|bn1|num_batches_tracked"] = Tensor
  __annotations__["layer4|2|conv2|weight"] = Tensor
  __annotations__["layer4|2|bn2|weight"] = Tensor
  __annotations__["layer4|2|bn2|bias"] = Tensor
  __annotations__["layer4|2|bn2|running_mean"] = Tensor
  __annotations__["layer4|2|bn2|running_var"] = Tensor
  __annotations__["layer4|2|bn2|num_batches_tracked"] = Tensor
  __annotations__["fc|weight"] = Tensor
  __annotations__["fc|bias"] = Tensor
